Apache log4cxx: TriggeringPolicy Class Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# TriggeringPolicy Class Reference

Inherits OptionHandler, and ObjectImpl.

Inherited by FilterBasedTriggeringPolicy, ManualTriggeringPolicy, SizeBasedTriggeringPolicy, and TimeBasedRollingPolicy.

List of all members.

## Detailed Description

A `TriggeringPolicy` controls the conditions under which rollover occurs.

Such conditions include time of day, file size, an external event or a combination thereof.

## Public Member Functions
virtual | ~TriggeringPolicy ()
void | addRef () const
void | releaseRef () const
virtual bool | isTriggeringEvent (Appender *appender, const log4cxx::spi::LoggingEventPtr &event, const LogString &filename, size_t fileLength)=0
| Determines if a rollover may be appropriate at this time.

## Constructor & Destructor Documentation

virtual ~TriggeringPolicy | ( |  | ) | `[virtual]`

## Member Function Documentation

void addRef | ( |  | ) | const`[virtual]`

| Reimplemented from ObjectImpl. Reimplemented in TimeBasedRollingPolicy.

virtual bool isTriggeringEvent | ( | Appender * | appender,
|  | const log4cxx::spi::LoggingEventPtr & | event,
|  | const LogString & | filename,
|  | size_t | fileLength
| ) | `[pure virtual]`

  | Determines if a rollover may be appropriate at this time. If true is returned, RolloverPolicy.rollover will be called but it can determine that a rollover is not warranted. Parameters:
  | appender | A reference to the appender.
  | event | A reference to the currently event.
  | filename | The filename for the currently active log file.
  | fileLength | Length of the file in bytes.
Returns: true if a rollover should occur. Implemented in FilterBasedTriggeringPolicy, ManualTriggeringPolicy, SizeBasedTriggeringPolicy, and TimeBasedRollingPolicy.

void releaseRef | ( |  | ) | const`[virtual]`

| Reimplemented from ObjectImpl. Reimplemented in TimeBasedRollingPolicy.

The documentation for this class was generated from the following file:

- triggeringpolicy.h